Index: /gli/trunk/src/org/greenstone/gatherer/cdm/CollectionConfiguration.java
===================================================================
--- /gli/trunk/src/org/greenstone/gatherer/cdm/CollectionConfiguration.java	(revision 20444)
+++ /gli/trunk/src/org/greenstone/gatherer/cdm/CollectionConfiguration.java	(revision 20445)
@@ -211,5 +211,5 @@
     
     
-    static public String toString (Element command_element, boolean show_extracted_namespace) {
+  static public String toString (Element command_element) {
         String command_element_name = command_element.getNodeName ();
         if(command_element_name.equals (StaticStrings.CLASSIFY_ELEMENT)) {
@@ -241,17 +241,17 @@
         }
         else if(command_element_name.equals (StaticStrings.COLLECTIONMETADATA_ELEMENT)) {
-            return metadataToString (command_element, show_extracted_namespace);
+	  return metadataToString (command_element); 
         }
         else if(command_element_name.equals (StaticStrings.COLLECTIONMETADATA_CREATOR_ELEMENT)) {
-            return metadataToString (command_element, show_extracted_namespace);
+	  return metadataToString (command_element); 
         }
         else if(command_element_name.equals (StaticStrings.COLLECTIONMETADATA_MAINTAINER_ELEMENT)) {
-            return metadataToString (command_element, show_extracted_namespace);
+            return metadataToString (command_element); 
         }
         else if(command_element_name.equals (StaticStrings.COLLECTIONMETADATA_PUBLIC_ELEMENT)) {
-            return metadataToString (command_element, show_extracted_namespace);
+            return metadataToString (command_element); 
         }
         else if (command_element_name.equals (StaticStrings.BUILDTYPE_ELEMENT)) {
-            return metadataToString (command_element, show_extracted_namespace);
+            return metadataToString (command_element); 
         }
         else if(command_element_name.equals (StaticStrings.PLUGIN_ELEMENT)) {
@@ -678,5 +678,5 @@
     }
     
-    static private String metadataToString (Element command_element, boolean text_value) {
+    static private String metadataToString (Element command_element) {
         // lets first check the value - if its empty, don't bother sticking it in the config file
         String value_str = XMLTools.getValue (command_element);
@@ -714,11 +714,6 @@
         name_str = null;
         
-        // The value string we retrieved will be encoded for xml, so we now decode it - to text if text_value set. This parameter was originally show_extracted_namespace, but sincethis is only true for 'toString()' commands from within the CDM, its good enough to determine if this toString() will be used to display on screen, or write to collect.cfg
-        if(text_value == CollectionMeta.TEXT) {
-            value_str = Codec.transform (value_str, Codec.DOM_TO_TEXT);
-        }
-        else {
-            value_str = Codec.transform (value_str, Codec.DOM_TO_GREENSTONE);
-        }
+	// decode the value from XML to a form for config file
+	value_str = Codec.transform (value_str, Codec.DOM_TO_GREENSTONE);
         
         // We don't wrap the email addresses in quotes, nor the other special metadata
@@ -3756,12 +3751,12 @@
             // (which just get commented out if unassigned -- a side effect of MG & MGPP compatibility)
             else if (!command_element.getAttribute (StaticStrings.ASSIGNED_ATTRIBUTE).equals (StaticStrings.FALSE_STR) || command_element.getNodeName ().equals (StaticStrings.INDEXES_ELEMENT) || command_element.getNodeName ().equals (StaticStrings.INDEX_DEFAULT_ELEMENT) || command_element.getNodeName ().equals (StaticStrings.INDEXOPTIONS_ELEMENT) || command_element.getNodeName ().equals (StaticStrings.INDEXOPTION_DEFAULT_ELEMENT)) {
-                String command;
-                if (command_element.getNodeName ().equals (StaticStrings.FORMAT_ELEMENT)) {
-                    // Format statements we write out with ex. still present
-                    command = toString (command_element, true);
-                }
-                else {
-                    command = toString (command_element, false);
-                }
+	      String command = toString(command_element);
+//                 if (command_element.getNodeName ().equals (StaticStrings.FORMAT_ELEMENT)) {
+//                     // Format statements we write out with ex. still present
+// 		  command = toString (command_element); //, true);
+//                 }
+//                 else {
+// 		  command = toString (command_element);//, false);
+//                 }
                 
                 if (command != null && command.length ()> 0 ) {