Index: collections/documented-examples/trunk/dls-e/etc/collect.cfg
===================================================================
--- collections/documented-examples/trunk/dls-e/etc/collect.cfg	(revision 19786)
+++ collections/documented-examples/trunk/dls-e/etc/collect.cfg	(revision 20507)
@@ -402,32 +402,29 @@
 # -- Spanish text ----------------
 collectionmeta	collectionextra [l=es] "
-Las Bibliotecas sobre Aspectos
-Humanitarios y de Desarrollo representan una extensa colecci&oacute;n de
-informaci&oacute;n pr&aacute;ctica cuyo prop&oacute;sito es ayudar a
+Las Bibliotecas sobre Desarrollo Humanitario representan una extensa colecciÃ³n de informaciÃ³n prÃ¡ctica cuyo propÃ³sito es ayudar a
 reducir la pobreza, acrecentar el potencial humano y proveer una
-educaci&oacute;n pr&aacute;ctica y &uacute;til para todos. Este subconjunto
-comprende unas 25 publicaciones - documentos, informes t&eacute;cnicos y
-art&iacute;culos de publicaciones peri&oacute;dicas - en varias
-&aacute;reas del desarrollo humano, desde pr&aacute;cticas agr&iacute;colas
-a pol&iacute;ticas econ&oacute;micas, desde agua y saneamiento a sociedad y
-cultura, desde educaci&oacute;n a manufactura, desde mitigaci&oacute;n de
-desastres a microemprendimientos.\n<p>\nLos editores de esta
-colecci&oacute;n son la ONG Human Info, HumanityCD Ltd y dem&aacute;s
-organizaciones participantes. Cont&aacute;ctenos en: Proyecto de
-Bibliotecas sobre Aspectos Humanitarios y de Desarrollo , Oosterveldiaan
-196, B-2610 Antwerp, B&eacute;lgica, Tel 32-3-448.05.54, Fax
-32-3-449.75.74, correo electr&oacute;nico <a
+educaciÃ³n prÃ¡ctica y Ãºtil para todos. Este subconjunto
+comprende unas 25 publicaciones - documentos, informes tÃ©cnicos y
+artÃ­culos de publicaciones periÃ³dicas - en varias
+Ã¡reas del desarrollo humano, desde prÃ¡cticas agrÃ­colas
+a polÃ­ticas econÃ³micas, desde agua y saneamiento a sociedad y
+cultura, desde educaciÃ³n a manufactura, desde mitigaciÃ³n de
+desastres a microemprendimientos.
+
+<p>Los editores de esta colecciÃ³n son la ONG Human Info, HumanityCD Ltd y demÃ¡s organizaciones participantes. ContÃ¡ctenos en: Proyecto de Bibliotecas sobre Aspectos Humanitarios y de Desarrollo , Oosterveldiaan
+196, B-2610 Antwerp, BÃ©lgica, Tel 32-3-448.05.54, Fax
+32-3-449.75.74, correo electrÃ³nico <a
 href=mailto:humanity@humaninfo.org>humanity@humaninfo.org</a>.
 
 <h3>CÃ³mo trabaja esta colecciÃ³n</h3>
 
-La colecciÃ³n DLS es bastante compleja. Si apenas estÃ¡ empezando a familiarizarse con su uso quizÃ¡ fuera mejor que se fijara primero en alguna otra colecciÃ³n (como la <a href=\"_gwcgi_?l=_cgiargl_&c=documented-examples/wrdpdf-e&a=p&p=about\">DemostraciÃ³n en Word y PDF</a>, los <a href=\"_gwcgi_?l=_cgiargl_&c=documented-examples/gsarch-e&a=p&p=about\">Archivos Greenstone</a> o la <a href=\"_gwcgi_?l=_cgiargl_&c=documented-examples/image-e&a=p&p=about\">colecciÃ³n de imÃ¡genes sencillas</a>).
-<p>
-
-Al igual que todos los archivos de configuraciÃ³n de colecciones, el <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de esta colecciÃ³n</a>, empieza con una lÃ­nea (\"creador\") que proporciona la direcciÃ³n de correo electrÃ³nico del creador de la colecciÃ³n y otra (\"pÃºblica\") que determina si la colecciÃ³n aparecerÃ¡ en la pÃ¡gina principal del programa Greenstone. Note que configurando la opciÃ³n \"public\" como \"false\" solo la quita de la pÃ¡gina home, pero permanecerÃ¡ accesible en la biblioteca para cualquiera que conozca la URL (a=p&p=about&c=coll-shortname).
-
-<p>
-
-<b>Plugins</b>. Las lÃ­neas \"plugin\" en el <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n</a> indican los plugins usados en la colecciÃ³n. Los documentos en la colecciÃ³n DLS estÃ¡n en HTML, por lo que se deberÃ¡ incluir <i>HTMLPlugin</i>. La opciÃ³n <i>description_tags</i> procesa las etiquetas en el texto que definen secciones y tÃ­tulos de secciones tal como se describe a continuaciÃ³n.
+<p>
+La colecciÃ³n DLS es bastante compleja. Si apenas estÃ¡ empezando a familiarizarse con su uso quizÃ¡ fuera mejor que se fijara primero en alguna otra colecciÃ³n (como la <a href=\"_gwcgi_?l=_cgiargl_&c=documented-examples/wrdpdf-e&a=p&p=about\">DemostraciÃ³n en Word y PDF</a>, los <a href=\"_gwcgi_?l=_cgiargl_&c=documented-examples/gsarch-e&a=p&p=about\">Archivos Greenstone</a> o la <a href=\"_gwcgi_?l=_cgiargl_&c=documented-examples/image-e&a=p&p=about\">colecciÃ³n sencilla de imÃ¡genes</a>).
+<p>
+
+Al igual que todos los archivos de configuraciÃ³n de colecciones, el <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de esta colecciÃ³n</a>, empieza con una lÃ­nea (\"creator\") que proporciona la direcciÃ³n de correo electrÃ³nico del creador de la colecciÃ³n y otra linea  (\"public\") que determina si la colecciÃ³n aparecerÃ¡ en la pÃ¡gina principal del programa Greenstone. Note que configurando la opciÃ³n \"public\" como \"false\" solo la quita de la pÃ¡gina home, pero permanecerÃ¡ accesible en la biblioteca para cualquiera que conozca la URL (a=p&p=about&c=coll-shortname).
+
+<p>
+ <b>Plugins</b>. Las lÃ­neas \"plugin\" en el <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n</a> indican los plugins usados en la colecciÃ³n. Los documentos en la colecciÃ³n DLS estÃ¡n en HTML, por lo que se deberÃ¡ incluir <i>HTMLPlugin</i>. La opciÃ³n <i>description_tags</i> procesa las etiquetas en el texto que definen secciones y tÃ­tulos de secciones tal como se describe a continuaciÃ³n.
 <p>
 
@@ -435,11 +432,11 @@
 <p>
 
-<b>Ãndices de bÃºsqueda</b>. El bloque de lÃ­neas que empieza con <i>Ã­ndices</i> especifica los Ã­ndices de bÃºsqueda que estÃ¡n disponibles. En esta colecciÃ³n hay tres, los cuales se pueden ver al momento de desplegar el menÃº \"Buscar\" en la <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=q\">pÃ¡gina de bÃºsqueda</a>. El primer Ã­ndice se llama \"capÃ­tulos\", el segundo \"tÃ­tulos de secciÃ³n\" y el tercero \"documentos enteros\". Los nombres de estos tres Ã­ndices estÃ¡n dados por tres enunciados <i>collectionmeta</i>.
-<p>
-
-El contenido de los Ã­ndices -- es decir, la especificaciÃ³n de lo que se va a buscar -- se define por medio de la lÃ­nea que se encuentra al principio de este bloque. Esta especifica tres Ã­ndices, dos a nivel de secciÃ³n (los cuales empiezan con <i>section:</i>) y uno a nivel de documento (el cual empieza con <i>document:</i>). La diferencia estÃ¡ en que una consulta de varias palabras Ãºnicamente encontrarÃ¡ una correspondencia en un Ã­ndice a nivel de secciÃ³n si todos los tÃ©rminos de la consulta aparecen en la misma secciÃ³n, mientras que encontrarÃ¡ la correspondencia en un Ã­ndice a nivel de documento si los tÃ©rminos aparecen en cualquier parte del documento (el cual consiste normalmente de varias secciones). El primero y tercer Ã­ndices son <i>section:text</i> y <i>document:text</i>, donde <i>:text</i> significa que se buscarÃ¡ en todo el texto de la secciÃ³n o el documento, respectivamente. El segundo es <i>section:Title</i>, el cual indica que se buscarÃ¡n metadatos de <i>TÃ­tulo</i>, en este caso tÃ­tulos de secciones (mÃ¡s que tÃ­tulos de documentos). Los tres Ã­ndices aparecerÃ¡n en el orden en que se especificaron en la lÃ­nea de <i>Ã­ndices</i>.
-<p>
-
-<b>Clasificadores</b>. El bloque de lÃ­neas con la etiqueta <i>classifier</i> define los Ã­ndices de exploraciÃ³n, llamados \"clasificadores\" en Greenstone. Hay cuatro de ellos correspondientes a los cuatro botones en la barra de navegaciÃ³n que se encuentra en la parte superior de cada pÃ¡gina de la colecciÃ³n (p. ej. la <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=q\">pÃ¡gina de bÃºsqueda</a>): <i>temas, tÃ­tulos, organizaciÃ³n</i> y <i>cÃ³mo</i>. El botÃ³n de <i>bÃºsqueda</i> aparece primero y a continuaciÃ³n los cuatro clasificadores en orden.
+<b>Ãndices de bÃºsqueda</b>. El bloque de lÃ­neas que empieza con <i>indexes</i> especifica los Ã­ndices de bÃºsqueda que estÃ¡n disponibles. En esta colecciÃ³n hay tres, los cuales se pueden ver al momento de desplegar el menÃº \"Buscar\" en la <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=q\">pÃ¡gina de bÃºsqueda</a>. El primer Ã­ndice se llama \"capÃ­tulos\", el segundo \"tÃ­tulos de secciÃ³n\" y el tercero \"documentos enteros\". Los nombres de estos tres Ã­ndices estÃ¡n dados por tres sentencias  <i>collectionmeta</i>.
+<p>
+
+El contenido de los Ã­ndices -- es decir, la especificaciÃ³n de lo que se va a buscar -- se define por medio de la lÃ­nea <i>indexes</i> que se encuentra al principio de este bloque. Esta especifica tres Ã­ndices, dos a nivel de secciÃ³n (los cuales empiezan con <i>section:</i>) y uno a nivel de documento (el cual empieza con <i>document:</i>). La diferencia estÃ¡ en que una consulta de varias palabras Ãºnicamente encontrarÃ¡ una correspondencia en un Ã­ndice a nivel de secciÃ³n si todos los tÃ©rminos de la consulta aparecen en la misma secciÃ³n, mientras que encontrarÃ¡ la correspondencia en un Ã­ndice a nivel de documento si los tÃ©rminos aparecen en cualquier parte del documento (el cual consiste normalmente de varias secciones). El primero y tercer Ã­ndices son <i>section:text</i> y <i>document:text</i>, donde <i>:text</i> significa que se buscarÃ¡ en todo el texto de la secciÃ³n o el documento, respectivamente. El segundo es <i>section:Title</i>, el cual indica que se buscarÃ¡n metadatos de <i>TÃ­tulo</i>, en este caso tÃ­tulos de secciones (mÃ¡s que tÃ­tulos de documentos). Los tres Ã­ndices aparecerÃ¡n en el orden en que se especificaron en la lÃ­nea de <i>Ã­ndices</i>.
+<p>
+
+<b>Clasificadores</b>. El bloque de lÃ­neas con la etiqueta <i>classifiers</i> define los Ã­ndices de exploraciÃ³n, llamados \"clasificadores\" en Greenstone. Hay cuatro de ellos correspondientes a los cuatro botones en la barra de navegaciÃ³n que se encuentra en la parte superior de cada pÃ¡gina de la colecciÃ³n (p. ej. la <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=q\">pÃ¡gina de bÃºsqueda</a>): <i>temas, tÃ­tulos, organizaciÃ³n</i> y <i>cÃ³mo</i>. El botÃ³n de <i>bÃºsqueda</i> aparece primero y a continuaciÃ³n los cuatro clasificadores en orden.
 <p>
 
@@ -450,18 +447,17 @@
 El tercero le da acceso a la organizaciÃ³n. Es un clasificador <i>List</i> basado en el metadato <i>dls.Organization</i>. La opciÃ³n <i>-bookshelf_type always</i> crea un estante para cada organizaciÃ³n, aÃºn cuando un solo documento pertenezca a esa categorÃ­a.
 
-El cuarto provee acceso por el texto \"Howto\": es una clasificador <i>List</i> basado en el metadato <i>dls.Keyword</i>. La opciÃ³n <i>-bookshelf_type never</i> previene la creaciÃ³n del estante aÃºn cuando dos documentos compartan las mismas keywords.
-
-<p>
-
-<p>
-<b>ImÃ¡genes de Portada</b>. Greenstone buscar una imÃ¡gen de portada para cada documento cuyo nombre sea el mismo al documento pero con una extensiÃ³n <i>.jpg</i>. Esta imÃ¡gen estÃ¡ asociada con el documento, y puede ser mostrada en la pÃ¡gina del documento (ver aqui abajo). Las imÃ¡genes de portada pueden ser apagadas al ajustar el -no_imÃ¡gen_de_portada para cada entrada. \n
-
-
-<b>Enunciados de formato</b>. La lÃ­neas que comienzan con <i>format</i>, llamadas  \"sentencias de formateo\", determinan la forma en la que deben mostrarse muchas de las partes de la colecciÃ³n. La sentencia de formato de <i>VList</i> se aplica a las listas de items mostrados verticalmente, como por ejemplo listas de tÃ­tulos, temas y organizaciones y la tabla de contenidos de los documentos. Es omitida para la lista de resultados mediante la sentencia <i>SearchVList</i>, y tambiÃ©n para el clasificador <i>Howto</i>  a travÃ©s de la sentencia <i>CL4VList</i> (CL4 especifica el cuarto clasificador).
+El cuarto provee acceso por el texto \"Howto\": es un clasificador <i>List</i> basado en el metadato <i>dls.Keyword</i>. La opciÃ³n <i>-bookshelf_type never</i> previene la creaciÃ³n del estante aÃºn cuando dos documentos compartan las mismas keywords.
+
+<p>
+
+<p>
+<b>ImÃ¡genes de Portada</b>. Greenstone busca una imagen de portada para cada documento cuyo nombre sea igual al documento pero con una extensiÃ³n <i>.jpg</i>. Esta imagen estÃ¡ asociada con el documento, y puede ser mostrada en la pÃ¡gina del documento (ver aqui abajo). Las imÃ¡genes de portada pueden ser deshabilitadas con la opciÃ³n -no_cover_image en cada plugin. \n
+
+<b>Enunciados de formato</b>. La lÃ­neas que comienzan con <i>format</i>, llamadas  \"cadenas de formateo\", determinan la forma en la que deben mostrarse muchas de las partes de la colecciÃ³n. La sentencia de formato de <i>VList</i> se aplica a las listas de items mostrados verticalmente, como por ejemplo listas de tÃ­tulos, temas y organizaciones y la tabla de contenidos de los documentos. Es omitida para la lista de resultados mediante la sentencia <i>SearchVList</i>, y tambiÃ©n para el clasificador <i>Howto</i>  a travÃ©s de la sentencia <i>CL4VList</i> (CL4 especifica el cuarto clasificador).
 <p>
 La sentencia <i>DocumentText</i> determina el modo en el que se formatea el texto, con el metadato <i>Title</i> ([<i>Title</i>]) en formato HTML &lt;<i>h3</i>&gt; seguido por el texto del documento [<i>Text</i>]. Configurando la sentencia <i>DocumentImages</i> como <i>true</i> aseguramos que las imÃ¡genes de portada se visualicen en cada documento. <i>DocumentButtons</i> indica cuales botones se muestran en cada documento. Las opciones son: <i>ExpandText, Expand Contents, Detach</i> y <i>Highlight</i>.
 <p>
 
-La mayorÃ­a de los enunciados de formato contienen una cadena escrita en una forma aumentada de HTML. Los nombres de los metadatos entre corchetes (p. ej. [<i>Title</i>], [<i>Creator</i>]) dan el valor de dicho metadato. [<i>Text</i>] da el texto del documento. TambiÃ©n se puede establecer un hipervÃ­nculo con el documento por medio de [link] ...[/link]. Un icono apropiado es producido por [<i>icon</i>]. Las cadenas de formato pueden incluir {<i>If</i>}{... , ...} y {<i>Or</i>}{... , ...}. Los primeros dos contienen ejemplos. Estos dos son enunciados de formato demasiado complejos, por lo que no los explicaremos aquÃ­. En Greenstone los cambios en las cadenas de formato tienen efecto inmediatamente a menos que se estÃ© usando el servidor local, en cuyo caso el servidor necesitarÃ¡ reiniciarse. Esto hace que sea fÃ¡cil experimentar con diferentes versiones de un enunciado de formato y ver quÃ© pasa.
+La mayorÃ­a de las cadenas de formateo contienen cÃ³digo HTML. Los nombres de los metadatos entre corchetes (p. ej. [<i>Title</i>], [<i>Creator</i>]) dan el valor de dicho metadato. [<i>Text</i>] da el texto del documento. TambiÃ©n se puede establecer un hipervÃ­nculo con el documento por medio de [link] ...[/link]. Un icono apropiado es producido por [<i>icon</i>]. Las cadenas de formato pueden incluir {<i>If</i>}{... , ...} y {<i>Or</i>}{... , ...}. Los primeros dos contienen ejemplos. Estos dos son enunciados de formato demasiado complejos, por lo que no los explicaremos aquÃ­. En Greenstone los cambios en las cadenas de formato tienen efecto inmediatamente a menos que se estÃ© usando el servidor local, en cuyo caso el servidor necesitarÃ¡ reiniciarse. Esto hace que sea fÃ¡cil experimentar con diferentes versiones de un enunciado de formato y ver quÃ© pasa.
 
 <p>
@@ -470,5 +466,5 @@
 <p>
 
-<b>TraducciÃ³n de idioma</b>. La Ãºltima parte del <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de la colecciÃ³n</a> proporciona los metadatos a nivel de colecciÃ³n en francÃ©s y espaÃ±ol, respectivamente. Estos idiomas se indican por medio de corchetes: [<i>fr</i>] y [<i>es</i>]. Si no hay ninguna especificaciÃ³n del idioma, entonces el inglÃ©s se asume por omisiÃ³n. El archivo de configuraciÃ³n muestra los caracteres que se acentÃºan (p. ej. la ÃÂ© francesa). Este archivo estÃ¡ en UTF-8 y los caracteres se representan por medio de secuencias de varios bytes (&lt;C3&gt;&lt;A9&gt; en este caso). De forma alternativa se pueden representar por medio de nombres de entes HTML (como &amp;eacute). No hay ninguna diferencia y se ven igual en la pantalla. Sin embargo, esto sÃ­ representarÃ­a una diferencia en el caso de que el texto se buscara. Greenstone utiliza Unicode internamente para asegurarse que las bÃºsquedas trabajen tal como se espera con idiomas diferentes al inglÃ©s.
+<b>TraducciÃ³n de idioma</b>. La Ãºltima parte del <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de la colecciÃ³n</a> proporciona los metadatos a nivel de colecciÃ³n en francÃ©s y espaÃ±ol, respectivamente. Estos idiomas se indican por medio de corchetes: [<i>fr</i>] y [<i>es</i>]. Si no hay ninguna especificaciÃ³n del idioma, entonces el inglÃ©s se asume por omisiÃ³n. El archivo de configuraciÃ³n muestra los caracteres que se acentÃºan (p. ej. <i>Ã©</i> francesa). Este archivo estÃ¡ en UTF-8 y los caracteres se representan por medio de secuencias de varios bytes (&lt;C3&gt;&lt;A9&gt; en este caso). De forma alternativa se pueden representar por medio de nombres de entidades HTML (como <i>&eacute</i>). No hay ninguna diferencia y se ven igual en la pantalla. Sin embargo, esto sÃ­ representarÃ­a una diferencia en el caso de que el texto se buscara. Greenstone utiliza Unicode internamente para asegurarse que las bÃºsquedas trabajen tal como se espera con idiomas diferentes al inglÃ©s.
 <p>
 
@@ -493,11 +489,11 @@
 <p>
 
-Los marcadores &lt;!-- ... --&gt se utilizan para asegurarse que estas etiquetas estÃ©n marcadas como comentarios en HTML y por lo tanto que no afecten el formato del documento. En la parte de <i>DescripciÃ³n</i> se pueden especificar otros tipos de metadatos, pero esto no se hace para el estilo de colecciÃ³n que estamos describiendo aquÃ­. Exactamente la misma especificaciÃ³n (incluyendo los marcadores &lt;!-- ... --&gt) se puede usar tambiÃ©n en los documentos Word.
-<p>
-
-<b>Archivos de metadatos</b>. Los metadatos para todos los documentos de la colecciÃ³n DLS se proporcionan en documentos metadata.xml, un documento por folder. El documento <a href=\"_httpcollection_/import/r0087e/metadata.xml\" target=text>metadata.xml</a> para el libro--<i>Income generation and money management: training women as entrepreneurs</i> -- es un bloque de alrededor diez lineas encerradas en las etiquetas &lt;<i>FileSet</i>&gt; ... &lt;<i>/FileSet</i>&gt;. El cual define los metadatos <i>dls.Title, dls.Language, dls.Subject</i> y <i>dls.AZList</i>. Se puede especificar mÃ¡s de un valor para cualquier Ã­tem del metadato. Por ejemplo, este libro tiene dos clasificaciones dls.Subject. Ambos se almacenan como valores del metadato para este documento en particular (ya que se especifica <i>mode=accumulate</i>; la alternativa y el valor por omisiÃ³n es <i>mode=override</i>).
-<p>
-
-<b>Archivos de jerarquÃ­a</b>. Los archivos de Hierarchy contienen una sucesiÃ³n de lÃ­neas, cada una de las cuales tiene tres items. El primer item es una cadena de texto que es confrontada con el metadato que aparece en el archivo <i>metadata.xml</i> descrito arriba. El segundo item es un nÃºmero que define la posiciÃ³n en la jerarquÃ­a. El tercer item es una cadena de texto que describe al nodo de la jerarquÃ­a de la pÃ¡gina web que genera Greenstone.
+Los marcadores &lt;!-- ... --> se utilizan para asegurarse que estas etiquetas estÃ©n marcadas como comentarios en HTML y por lo tanto que no afecten el formato del documento. En la parte de <i>Description</i> se pueden especificar otros tipos de metadatos, pero esto no se hace para el estilo de colecciÃ³n que estamos describiendo aquÃ­. Exactamente la misma especificaciÃ³n (incluyendo los marcadores &lt;!-- ... -->) se puede usar tambiÃ©n en los documentos Word.
+<p>
+
+<b>Archivos de metadatos</b>. Los metadatos para todos los documentos de la colecciÃ³n DLS se asignan en archivos llamados metadata.xml, un documento por carpeta. El documento <a href=\"_httpcollection_/import/r0087e/metadata.xml\" target=text>metadata.xml</a> para el libro--<i>Income generation and money management: training women as entrepreneurs</i> -- es un bloque de alrededor diez lineas encerradas en las etiquetas &lt;<i>FileSet</i>&gt; ... &lt;<i>/FileSet</i>&gt;. El cual define los metadatos <i>dls.Title, dls.Language, dls.Subject</i> y <i>dls.AZList</i>. Se puede especificar mÃ¡s de un valor para cualquier Ã­tem del metadato. Por ejemplo, este libro tiene dos clasificaciones dls.Subject. Ambos se almacenan como valores del metadato para este documento en particular (ya que se especifica <i>mode=accumulate</i>; la alternativa y el valor por omisiÃ³n es <i>mode=override</i>).
+<p>
+
+<b>Archivos de jerarquÃ­a</b>. Los archivos de Hierarchy contienen una sucesiÃ³n de lÃ­neas, cada una de las cuales tiene tres items. El primer item es una cadena de texto que es confrontada con el metadato que aparece en el archivo <i>metadata.xml</i> descripto arriba. El segundo item es un nÃºmero que define la posiciÃ³n en la jerarquÃ­a. El tercer item es una cadena de texto que describe al nodo de la jerarquÃ­a de la pÃ¡gina web que genera Greenstone.
 <p>
 