Index: /release-kits/sork3/ant-scripts/build.xml
===================================================================
--- /release-kits/sork3/ant-scripts/build.xml	(revision 20532)
+++ /release-kits/sork3/ant-scripts/build.xml	(revision 20533)
@@ -36,6 +36,11 @@
 		<antcall target="gli-set-version-numbers"><param name="glibasedir" value="${basedir}/distributions/${dist.dirname}/gli"/></antcall>
 		<antcall target="insert-winbin"/>
+		<antcall target="insert-ant"/>
 		<antcall target="insert-windows-perl"><param name="todir" value="${basedir}/distributions/${dist.dirname}/gs2build/bin/windows"/></antcall>
 		<antcall target="tweak-files"/>
+		<ant dir="distributions/${dist.dirname}">
+			<target name="fix-execute-permissions"/>
+			<target name="fix-execute-permissions-source"/>
+		</ant>
 		<antcall target="create-archives"/>
 		<ant dir="." antfile="${sork3.home}/ant-scripts/create-sourcecode-component.xml" target="create-sourcecode-component"/>
@@ -56,4 +61,12 @@
 	<target name="tweak-files">
 		<delete file="distributions/${dist.dirname}/gs2build/bin/linux/mgquery_old" />
+		<delete file="distributions/${dist.dirname}/build.properties.in"/>
+		<delete><fileset dir="distributions/${dist.dirname}/packages" includes="**/*.zip,**/*.tar.gz"/></delete>
+	</target>
+
+	<target name="insert-ant">
+		<copy todir="distributions/${dist.dirname}/packages/ant">
+			<fileset dir="${rk.home}/core/ant"/>
+		</copy>
 	</target>
 
@@ -105,5 +118,5 @@
 		</exec>
 
-		<!-- unzip some windows packages -->
+		<!-- unzip some packages -->
 		<unzip src="distributions/source-component/gs2build/common-src/indexers/packages/windows/iconv/iconv.zip" dest="distributions/source-component/gs2build/common-src/indexers/packages/windows/iconv"/>
 		<delete file="distributions/source-component/gs2build/common-src/indexers/packages/windows/iconv/iconv.zip"/>
Index: /release-kits/sork3/ant-scripts/create-sourcecode-component.xml
===================================================================
--- /release-kits/sork3/ant-scripts/create-sourcecode-component.xml	(revision 20532)
+++ /release-kits/sork3/ant-scripts/create-sourcecode-component.xml	(revision 20533)
@@ -5,4 +5,5 @@
 
 	<import file="${basedir}/distributions/${dist.dirname}/resources/xml/components.xml"/>
+	<import file="${basedir}/distributions/${dist.dirname}/resources/xml/executables.xml"/>
 
 	<target name="create-sourcecode-component">
@@ -14,22 +15,8 @@
 		</copy>
 
-		<!-- unzip some windows packages -->
-		<unzip src="distributions/source-component/gs2build/common-src/indexers/packages/windows/iconv/iconv.zip" dest="distributions/source-component/gs2build/common-src/indexers/packages/windows/iconv"/>
-		<delete file="distributions/source-component/gs2build/common-src/indexers/packages/windows/iconv/iconv.zip"/>
-		
-		<unzip src="distributions/source-component/gs2build/common-src/packages/windows/crypt/crypt.zip" dest="distributions/source-component/gs2build/common-src/packages/windows/crypt"/>
-		<delete file="distributions/source-component/gs2build/common-src/packages/windows/crypt/crypt.zip"/>
-		
-		<unzip src="distributions/source-component/gs2build/common-src/packages/windows/expat/expat.zip" dest="distributions/source-component/gs2build/common-src/packages/windows/expat"/>
-		<delete file="distributions/source-component/gs2build/common-src/packages/windows/expat/expat.zip"/>
-		
-		<unzip src="distributions/source-component/gs2build/common-src/packages/windows/stlport/stlport.zip" dest="distributions/source-component/gs2build/common-src/packages/windows/stlport"/>
-		<delete file="distributions/source-component/gs2build/common-src/packages/windows/stlport/stlport.zip"/>
-
-		<exec executable="tar" dir="distributions/source-component/gs2build/common-src/packages/sqlite"><arg value="-xzf"/><arg value="sqlite-amalgamation-3.5.9.tar.gz"/></exec>
-		<delete file="distributions/source-component/gs2build/common-src/packages/sqlite/sqlite-amalgamation-3.5.9.tar.gz"/>
-
-		<exec executable="tar" dir="distributions/source-component/gs2build/common-src/packages/expat"><arg value="-xzf"/><arg value="expat-1.95.8.tar.gz"/></exec>
-		<delete file="distributions/source-component/gs2build/common-src/packages/sqlite/sqlite-amalgamation-3.5.9.tar.gz"/>
+		<!-- fix permissions -->
+		<chmod perm="775">
+			<fileset dir="distributions/source-component"><patternset refid="greenstone3.source.executables"/></fileset>
+		</chmod>
 
 		<!-- archive it -->
@@ -42,3 +29,4 @@
 	</target>
 
+
 </project>