Index: /gsdl/trunk/perllib/plugins/ArchivesInfPlugin.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/ArchivesInfPlugin.pm	(revision 20576)
+++ /gsdl/trunk/perllib/plugins/ArchivesInfPlugin.pm	(revision 20577)
@@ -146,11 +146,4 @@
 }
 
-# called if we are doing incremental building
-sub set_incremental {
-    my $self = shift(@_);
-    my ($incremental) = @_;
-
-    $self->{'incremental'} = $incremental;
-}
 
 # return 1 if this class might recurse using $pluginfo
Index: /gsdl/trunk/perllib/plugins/BasePlugin.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/BasePlugin.pm	(revision 20576)
+++ /gsdl/trunk/perllib/plugins/BasePlugin.pm	(revision 20577)
@@ -337,10 +337,4 @@
 }
 
-sub set_incremental {
-    my $self = shift(@_);
-    my ($incremental) = @_;
-
-    $self->{'incremental'} = $incremental;
-}
 
 # this function should be overridden to return 1
@@ -941,4 +935,5 @@
     # can we process this file??
     my ($filename_full_path, $filename_no_path) = &util::get_full_filenames($base_dir, $file);
+
     return undef unless $self->can_process_this_file($filename_full_path);
     
Index: /gsdl/trunk/perllib/plugins/DirectoryPlugin.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/DirectoryPlugin.pm	(revision 20576)
+++ /gsdl/trunk/perllib/plugins/DirectoryPlugin.pm	(revision 20577)
@@ -148,11 +148,4 @@
 
 
-# called if we are doing incremental building
-sub set_incremental {
-    my $self = shift(@_);
-    my ($incremental) = @_;
-
-    $self->{'incremental'} = $incremental;
-}
 
 # return 1 if this class might recurse using $pluginfo
@@ -283,4 +276,5 @@
 
     $block_hash->{'all_files'} = {} unless defined $block_hash->{'all_files'};
+    $block_hash->{'metadata_files'} = {} unless defined $block_hash->{'metadata_files'};
 
     $block_hash->{'file_blocks'} = {} unless defined $block_hash->{'file_blocks'};
@@ -597,5 +591,4 @@
 	}
 
-
 	if (defined $self->{'inf_timestamp'}) {
 	    # Look to see if it's a completely new file
@@ -608,5 +601,5 @@
 		if (! -d $full_filename) {
 		    if (!$block_hash->{'reindex_files'}->{$full_filename}) {
-			# filename has been around for longer than inf
+			# filename has been around for longer than inf_timestamp
 			print $outhandle "**** Skipping $subfile\n" if ($verbosity >3);
 			next;
Index: /gsdl/trunk/perllib/plugins/MetadataXMLPlugin.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/MetadataXMLPlugin.pm	(revision 20576)
+++ /gsdl/trunk/perllib/plugins/MetadataXMLPlugin.pm	(revision 20577)
@@ -164,4 +164,18 @@
 
 
+sub file_block_read {
+    my $self = shift (@_);
+    my ($pluginfo, $base_dir, $file, $block_hash, $metadata, $gli) = @_;
+
+    my $filename = &util::filename_cat($base_dir, $file);
+    if ($filename !~ /metadata\.xml$/ || !-f $filename) {
+        return undef;
+    }
+
+    $block_hash->{'metadata_files'}->{$filename} = 1;
+
+    return 1;
+}
+
 sub metadata_read
 {
@@ -179,4 +193,5 @@
     $self->{'metadata-filename'} = $filename;
 
+
     my $outhandle = $self->{'outhandle'};
     
@@ -185,4 +200,5 @@
     # add the file to the block list so that it won't be processed in read, as we will do all we can with it here
     $block_hash->{'file_blocks'}->{$filename} = 1;
+
     $self->{'metadataref'} = $extrametadata;
     $self->{'metafileref'} = $extrametafile;
Index: /gsdl/trunk/perllib/plugins/PrintInfo.pm
===================================================================
--- /gsdl/trunk/perllib/plugins/PrintInfo.pm	(revision 20576)
+++ /gsdl/trunk/perllib/plugins/PrintInfo.pm	(revision 20577)
@@ -106,4 +106,23 @@
 #sub init {
 #}
+
+
+sub set_incremental {
+    my $self = shift(@_);
+    my ($incremental_mode) = @_;
+
+    if (!defined $incremental_mode) {
+	$self->{'incremental'} = 0;
+	$self->{'incremental_mode'} = "none";
+    }
+    elsif ($incremental_mode eq "none") {
+	$self->{'incremental'} = 0;
+	$self->{'incremental_mode'} = "none";
+    }
+    else {
+	$self->{'incremental'} = 1;
+	$self->{'incremental_mode'} = $incremental_mode;
+    }	
+}
 
 sub get_arguments