Index: greenstone3/trunk/web/WEB-INF/classes/AbstractBrowse_fa.properties
===================================================================
--- greenstone3/trunk/web/WEB-INF/classes/AbstractBrowse_fa.properties	(revision 20592)
+++ greenstone3/trunk/web/WEB-INF/classes/AbstractBrowse_fa.properties	(revision 20592)
@@ -0,0 +1,9 @@
+﻿#*************************************
+#
+#by Amin Hedjazi 
+#on the contract by
+#***Advanced Information & Communication Technology Research Center of Sharif University ***
+#***last update 2008/12/15***
+ClassifierBrowse.name=مرور لیست 
+ClassifierBrowse.description=مرور ساختاری لیست طبقه بندی شده 
+ClassifierBrowse.classifier_help=مرور لیست از روی {0}  .
Index: greenstone3/trunk/web/WEB-INF/classes/AbstractGS2FieldSearch_fa.properties
===================================================================
--- greenstone3/trunk/web/WEB-INF/classes/AbstractGS2FieldSearch_fa.properties	(revision 20592)
+++ greenstone3/trunk/web/WEB-INF/classes/AbstractGS2FieldSearch_fa.properties	(revision 20592)
@@ -0,0 +1,39 @@
+﻿#*************************************
+#
+#by Amin Hedjazi
+#on the contract by
+#***Advanced Information & Communication Technology Research Center of Sharif University ***
+#***last update 2008/12/15
+#query params
+param.level=میزان دقط در جستجو  
+param.sortBy=ترتیب نمایش اسناد  
+param.sortBy.1=رتبه
+param.sortBy.0=عادی
+param.fqv=واژه یا عبارت  
+param.fqf=در زمینه ی 
+param.fqf.all=تمام زمینه ها
+param.fqs=ریشه
+param.fqc=بزرگ ویا کوچک بودن حروف لاتین  
+param.fqk=
+param.fqk.0=و
+param.fqk.1=یا
+param.fqk.2=بدون
+param.fqa=تاکید
+param.indexSubcollection=زیر مجموعه ی فهرست  
+param.indexLanguage=زبان فهرست
+
+#levels - this should go somewhere more central perhaps?
+level.document=سند
+level.Doc=سند
+level.section=قسمت
+level.Sec=قسمت
+level.paragraph=پاراگراف
+level.Para=پاراگراف
+
+#service stuff
+FieldQuery.name=فرم جستجو 
+FieldQuery.description=جستجو با فیلد های ساده
+FieldQuery.submit=جستجو
+AdvancedFieldQuery.name=جستجوی پیشرفته 
+AdvancedFieldQuery.description=جستجو با فیلد های پیشرفته
+AdvancedFieldQuery.submit=جستجو
Index: greenstone3/trunk/web/WEB-INF/classes/AbstractSearch_fa.properties
===================================================================
--- greenstone3/trunk/web/WEB-INF/classes/AbstractSearch_fa.properties	(revision 20592)
+++ greenstone3/trunk/web/WEB-INF/classes/AbstractSearch_fa.properties	(revision 20592)
@@ -0,0 +1,27 @@
+﻿#*************************************
+#
+#by Amin Hedjazi
+#on the contract by
+#***Advanced Information & Communication Technology Research Center of Sharif University ***
+#***last update 2008/12/15
+#service stuff
+TextQuery.name=جستجوی متن 
+TextQuery.description=سرویس جسنجوی کامل متن و یا فراداده 
+TextQuery.submit=جستجو 
+
+#compulsory query params
+param.index=فهرست مورد جستجو 
+param.maxDocs=تعداد کل نتایج برای نمایش 
+param.query=رشته ی جستجو 
+param.hitsPerPage=تعداد نتایج در هر صفحه 
+param.startPage=صفحه ی شروع 
+
+#optional params
+param.stem=حساس به ریشه ی لغات 
+param.case=حساس به کوچک یا بزرگی حروف 
+param.accent=حساس به تاکید لغات
+param.matchMode=مطابقت
+param.matchMode.all=کامل
+param.matchMode.some=جزئی
+param.boolean.on=فعال
+param.boolean.off=غیر فعال
Index: greenstone3/trunk/web/WEB-INF/classes/Authentication_fa.properties
===================================================================
--- greenstone3/trunk/web/WEB-INF/classes/Authentication_fa.properties	(revision 20592)
+++ greenstone3/trunk/web/WEB-INF/classes/Authentication_fa.properties	(revision 20592)
@@ -0,0 +1,28 @@
+﻿#*************************************
+#
+#by Amin Hedjazi
+#on the contract by
+#***Advanced Information & Communication Technology Research Center of Sharif University ***
+#***last update 2008/12/15
+#service stuff
+ListUsers.name=نام کاربری 
+ListUsers.submit=تایید 
+ListUsers.description=لیست کاربران 
+
+AddUser.name=نام کاربری 
+AddUser.submit=تایید 
+AddUser.description=افزودن کاربر 
+
+#params
+param.un=نام کاربری 
+param.pw=رمز عبور 
+param.com=توضیحات 
+param.boolean.enabled=فعال 
+param.boolean.disabled=غیر فعال 
+param.as=وضعیت حساب کاربری 
+param.gp=گروه ها 
+param.npw=رمز عبرو جدید 
+param.rnpw=تایید رمز عبور جدید 
+
+Authentication.description=به شما اجازه ی مدیریت افراد را میدهد 
+Authentication.name=صفحه ی مدیریت 
Index: greenstone3/trunk/web/WEB-INF/classes/CrossCollectionSearch_fa.properties
===================================================================
--- greenstone3/trunk/web/WEB-INF/classes/CrossCollectionSearch_fa.properties	(revision 20592)
+++ greenstone3/trunk/web/WEB-INF/classes/CrossCollectionSearch_fa.properties	(revision 20592)
@@ -0,0 +1,12 @@
+﻿#*************************************
+#
+#by Amin Hedjazi
+#on the contract by
+#***Advanced Information & Communication Technology Research Center of Sharif University ***
+#***last update 2008/12/15
+TextQuery.name=جستجوی چند مجموعه 
+TextQuery.submit=جستجو 
+TextQuery.description=جستجوی بر روی چندین مجموعه 
+param.query=رشته ی جستجو 
+param.collection=مجموعه های مورد جستجو 
+param.collection.all=تمام مجموعه ها 
Index: greenstone3/trunk/web/WEB-INF/classes/GS2Construct_fa.properties
===================================================================
--- greenstone3/trunk/web/WEB-INF/classes/GS2Construct_fa.properties	(revision 20592)
+++ greenstone3/trunk/web/WEB-INF/classes/GS2Construct_fa.properties	(revision 20592)
@@ -0,0 +1,73 @@
+﻿#*************************************
+#
+#by Amin Hedjazi
+#on the contract by
+#***Advanced Information & Communication Technology Research Center of Sharif University ***
+#***last update 2008/12/15
+#the params used by the services
+param.collection=مجموعه
+param.creator=آدرس الکترونیک ایجاد کننده
+param.collTitle=عنوان مجموعه
+param.collAbout=توصیف مجموعه
+param.buildType=روش ساخت
+param.buildType.mg=MG
+param.buildType.mgpp=MGPP
+
+#service names and submit buttons
+DeleteCollection.name=حذف
+DeleteCollection.description=حذف یک مجموعه
+DeleteCollection.submit=حذف
+NewCollection.name=ایجاد
+NewCollection.description=ایجاد یک مجموعه ی جدید
+NewCollection.submit=ایجاد
+ImportCollection.name=درون برد
+ImportCollection.description=درون ریزی یک مجموعه : سند های اصلی را به نوع سند مورد استفاده در Greenstone   تبدیل می کند
+ImportCollection.submit=درون درون برد
+BuildCollection.name=ساخت
+BuildCollection.description=ساخت یک مجموعه : ایجاد کردن فهرست ها و سلسله مراتب برای جستجو
+BuildCollection.submit=ساخت
+ActivateCollection.name=فعال سازی
+ActivateCollection.description=فعال سازی یک مجموعه : جایگزینی مجموعه ی قبلی با نسخه ی جدید آن 
+ActivateCollection.submit=فعال سازی
+ReloadCollection.name=بارگزاری مجدد
+ReloadCollection.description=بارگزاری مجدد یک مجموعه به داخل کتاب خانه
+ReloadCollection.submit=بارگذاری مجدد
+
+#error messages used by each service - {0} is the collection name
+#DeleteCollection######
+delete.configure_error={0}  در کتاب خانه غیر فعال نشد
+delete.delete_error={0} حذف نشد 
+delete.success=مجموعه ی {0}  با موفقیت حذف شد
+delete.exists_error=مجموعه ی {0}  موجود نمی باشد 
+
+#NewCollection######
+new.success=مجموعه ی {0}  با موفقیت ایجاد شد
+
+#ImportCollection#####
+import.success=درون برد مجموعه ی {0}  با موفقیت انجام شد .
+
+#BuildCollection#####
+build.success=مجموعه ی {0}  با موفقیت ساخته شد
+
+#ActivateCollection#####
+activate.build_dir_error=هیچ پوشه ای به مجموعه ی {0} اختصاص داده نشده است 
+activate.build_config_error=مجموعه ی {0}  دارای فایل تنظیمات ساخت نمی باشد
+activate.rm_index_error=حذف پوشه ی فهرست ها نا موفقیت 
+activate.rename_building_error=تغییر نام در Build به index به مشکل برخوردیم
+activate.success=مجموعه {0}  با موفقیت فعال سازی شد 
+
+#ReloadCollection#####
+reload.success=بار گزاری مجدد مجموعه ی {0}  با موفقیت انجام شد
+reload.activate_error=فعال سازی مجموعه ی {0}  در کتاب خانه نا موفق بود
+
+#general stuff
+general.process_id_error=Invalid process id.
+general.configure_constructor_error=Couldn't configure the collection constructor.
+general.process_start=در حال راه اندازی مجموعه ...
+
+
+
+
+
+
+
Index: greenstone3/trunk/web/WEB-INF/classes/GS2LuceneSearch_fa.properties
===================================================================
--- greenstone3/trunk/web/WEB-INF/classes/GS2LuceneSearch_fa.properties	(revision 20592)
+++ greenstone3/trunk/web/WEB-INF/classes/GS2LuceneSearch_fa.properties	(revision 20592)
@@ -0,0 +1,8 @@
+﻿#*************************************
+#
+#by Amin Hedjazi
+#on the contract by
+#***Advanced Information & Communication Technology Research Center of Sharif University ***
+#***last update 2008/12/15
+param.sortBy=مرتب کردن نتایج جستجو از روی  
+param.sortBy.rank=رتبه بندی
Index: greenstone3/trunk/web/WEB-INF/classes/IViaSearch_fa.properties
===================================================================
--- greenstone3/trunk/web/WEB-INF/classes/IViaSearch_fa.properties	(revision 20592)
+++ greenstone3/trunk/web/WEB-INF/classes/IViaSearch_fa.properties	(revision 20592)
@@ -0,0 +1,13 @@
+﻿#*************************************
+#
+#by Amin Hedjazi
+#on the contract by
+#***Advanced Information & Communication Technology Research Center of Sharif University ***
+#***last update 2008/12/15
+#query params
+param.index.au=نویسنده
+param.index.ti=عنوان
+param.index.kw=کلمات کلیدی
+param.index.su=عنوان
+param.index.de=شرح
+param.index.fu=متن کامل
Index: greenstone3/trunk/web/WEB-INF/classes/Visualizer_fa.properties
===================================================================
--- greenstone3/trunk/web/WEB-INF/classes/Visualizer_fa.properties	(revision 20592)
+++ greenstone3/trunk/web/WEB-INF/classes/Visualizer_fa.properties	(revision 20592)
@@ -0,0 +1,8 @@
+﻿#*************************************
+#
+#by Amin Hedjazi
+#on the contract by
+#***Advanced Information & Communication Technology Research Center of Sharif University ***
+#***last update 2008/12/15
+VisApplet.name=مجسم کننده ی جستجو 
+VisApplet.description=رشته ی جستجو را به صورت تصویری مجسم می کند
Index: greenstone3/trunk/web/WEB-INF/classes/interface_default_fa.properties
===================================================================
--- greenstone3/trunk/web/WEB-INF/classes/interface_default_fa.properties	(revision 20493)
+++ greenstone3/trunk/web/WEB-INF/classes/interface_default_fa.properties	(revision 20592)
@@ -1,77 +1,134 @@
-home_b=Ø®Ø§ÙÙ
-pref_b=ØªÙØžÙÙ
-Ø§Øª
-help_b=Ø±Ø§ÙÙÙ
-Ø§ÙÙ
-about_t=Ø¯Ø±ØšØ§Ø±Ù
-texticonpdf=Ø±ÙÙØª Ø³ÙØ¯ PDF
-texticonps=Ø±ÙÙØª Ø³ÙØ¯ ÙŸØ³Øª Ø§Ø³ÙØ±ÙÙŸØª
-texticonrtf=Ø±ÙÙØª Ø³ÙØ¯ RTF
-texticonmsword=Ø±ÙÙØª Ø³ÙØ¯ Ù
-Ø§ÙÙØ±ÙØ³Ø§ÙØª ÙØ±Ø¯
-texticonppt=Ø±ÙÙØª Ø³ÙØ¯ PowerPoint
-texticonxls=Ø±ÙÙØª Ø³ÙØ¯ Ù
-Ø§ÙÙØ±ÙØ³Ø§ÙØª Ø§ÙØ³Ù
-gsdl=ÙØ±Ù
- Ø§ÙØ²Ø§Ø± ÙØªØ§ØšØ®Ø§ÙÙ Ø¯ÙØ¬ÙØªØ§Ù Ú¯Ø±ÙÙ Ø§Ø³ØªÙÙ
-home_tip=Ø®Ø§ÙÙ
-help_tip=Ø±Ø§ÙÙÙ
-Ø§ÙÙ
-pref_tip=ØªØºÙÙØ± ØªÙØžÙÙ
-Ø§Øª
-home_t=Ø®Ø§ÙÙ
-aboutpage=Ø¯Ø±ØšØ§Ø±Ù Ø§ÙÙ Ù
-Ø¬Ù
-ÙØ¹Ù
-about.howtofind=ÚÚ¯ÙÙÙ Ø§Ø·ÙØ§Ø¹Ø§ØªÛ Ø¯Ø±Ù
-Ø¬Ù
-ÙØ¹Ù {0} ØšÛØ§ØšÛÙ
- 
-pref.searchpref=ØªÙØžÛÙ
-Ø§Øª Ø¬Ø³ØªØ¬Ù
-pref.prespref=Ø§Ø±Ø§ØŠÙ ØªÙØžÛÙ
-Ø§Øª
-pref.interfacelang=Ø²ØšØ§Ù Ø±Ø§ØšØ· :
-pref.encoding=Ú©Ø¯ Ø²ØšØ§Ù ØµÙØ­Ù :
-pref.all=ÙÙ
-Ù
-pref.set_prefs=Ø°Ø®ÛØ±Ù ØªÙØžÛÙ
-Ø§Øª
-query.wordcount=ØªØ¹Ø¯Ø§Ø¯ Ú©ÙÙ
-Ù :
-query.nodocsmatch=Ø³ÙØ¯Û Ù
-Ø·Ø§ØšÙ Ø¬Ø³ØªØ¬Ù ÛØ§ÙØª ÙØŽØ¯ .
-query.onedocsmatch=1 Ø³ÙØ¯ ØšØ§ ÙŸØ±Ø³ Ù Ø¬Ù ØªØ·ØšÛÙ Ø¯Ø§Ø±Ø¯ .
-query.matches=ØªØ·ØšÛÙ Ù
-Û Ú©ÙØ¯
-query.results=ÙØªØ§ÛØ¬
-document.gotopage=ØšØ±Ù ØšÙ ØµÙØ­Ù
-doc.expand_doc_b=ØšØ§Ø²ÙØ±Ø¯Ù Ù
-ØªÙ
-doc.expand_doc_tip=ÙÙ
-Ø§ÙØŽ ÙÙ
-Ù Ù
-ØªÙ
-doc.contract_doc_b=Ø¬Ù
-Ø¹\nÙØ±Ø¯Ù Ù
-ØªÙ
-doc.contract_doc_tip=ØšØ±Ø§Ù ØšØ­ØŽ Ø§ÙØªØ®Ø§Ù ÙÙØ· Ù
-ØªÙ ÙÙ
-Ø§ÙØŽ Ø¯Ø§Ø¯Ù ØŽÙØ¯
-doc.expand_contents_b=ØšØ§Ø²ÙØ±Ø¯Ù\nÙ
-Ø­ØªÙÙØ§Øª
-doc.expand_contents_tip=ØšØ§Ø²ÙØ±Ø¯Ù ÙÙØ±Ø³Øª Ù
-Ø­ØªÙÙØ§Øª
-doc.contract_contents_b=Ø¬Ù
-Ø¹ ÙØ±Ø¯Ù\nÙ
-Ø­ØªÙÙØ§Øª
-doc.contract_contents_tip=Ø¬Ù
-Ø¹ ÙØ±Ø¯Ù ÙÙØ±Ø³Øª Ù
-Ø­ØªÙÙØ§Øª
-doc.detach_page_b=Ø¬Ø¯Ø§Ø³Ø§Ø²Ù
-doc.detach_page_tip=ØšØ§Ø²ÙØ±Ø¯Ù ØµÙØ­Ù Ø¯Ø± ÙŸÙØ¬Ø±Ù Ø¬Ø¯ÙØ¯
-param.sortBy.1=Ø¯Ø±Ø¬Ù ØšÙØ¯Û ØŽØ¯Ù
-param.sortBy.0=Ø·ØšÛØ¹Û
-param.fqf=... Ø¯Ø± ÙÛÙØ¯ 
-param.fqf.all=ÙÙ
-Ù ÙÛÙØ¯ÙØ§
+﻿#*************************************
+#
+#by Amin Hedjazi
+#on the contract by
+#***Advanced Information & Communication Technology Research Center of Sharif University ***
+#***last update 2008/12/15
+gsdl=نرم افزار کتاب خانه ی دیجیتالی GreenStone
+gs3power=powered by GreenStone (بومی سازی توسط  AICTC)
+# the buttons
+home_b=خانه
+help_b=راهنما
+pref_b=تنظیمات
+# tool tips for the buttons
+home_tip=صفحه ی خانگی کتاب خانه
+help_tip=صفحات راهنما
+pref_tip=تنظیمات رابط کاربری خود را تغییر دهید
+# page titles
+help_t=راهنما
+pref_t=تنظیمات
+aboutpage=دربراره ی 
+textframebrowser= You must have a frame enabled browser to view this.
+#######################
+# query page
+########################
+about.noservices=هیچ سرویسی برای این مجموعه موجود نمی باشد
+about.services=سرویس های موجود : 
+about.servicehelp=شما میتوانید با کلیک کردن بر روی دکمه های پایین یا نام آنها بر روی نوار هدایت به سرویس ها دسترسی داشته باشید.نوار هدایت بین تمام صفحه های مجموعه ماندگار است . 
+about.description=توصیف : 
+about.metadata=فراداده : 
+
+#######################
+# query page
+########################
+query.wordcount=تعداد کلمات :
+query.nodocsmatch=هیج سندی برابری نمی کند
+query.onedocsmatch=یک سند برابری می کند
+query.manydocsmatch= {0}   از سناد برابری می کنند
+query.atleastdocsmatch=حد اقل {0}  سند برابری می کنند
+query.docsreturned={0} سند بازگردانده شده اند.
+query.matches=تطابق ها
+query.results=نتایج
+###############
+# document page
+##################
+document.pageof=صفحه ی {0}  از {1}
+document.pages={0}  صفحه .
+document.gotopage=برو به صفحه 
+
+##################
+# prefs page
+##################
+pref.searchpref=تنظیمات جستجو
+pref.prespref=تنظیمات نمایش
+pref.interfacelang=زبان واسط کاربری : 
+pref.encoding=کدگذاری  : 
+pref.hitsperpage=تعداد نتایج بر هر صفحه  : 
+pref.all=همه
+pref.set_prefs=وارد کردن تنظیمات
+pref.berrybasket=Berry basket
+pref.berrybasket.on=on
+pref.berrybasket.off=off
+pref.book=Book viewer mode: 
+
+
+##################
+# docs page
+##################
+doc.expand_doc_b=توسعه<br />سند
+doc.expand_doc_tip=نمایش تمام سند
+doc.contract_doc_b=قرارداد<br />سند
+doc.contract_doc_tip=بازگشت به قسمت قبلی
+doc.expand_contents_b=توسعه<br />محتوی
+doc.expand_contents_tip=Expand only the table of contents
+doc.contract_contents_b=قرارداد<br />محتوی
+doc.contract_contents_tip=Collapse the table of contents
+doc.detach_page_b=تفکیک<br />صفحه
+doc.detach_page_tip=این صفحه را در یک پنجره ی جدید باز کن
+
+
+##################
+# authentication page
+##################
+authen.login_descibe_line_1=برای مشاهده ی صفحه ی درخواستی باید ابتدا وارد سیستم شوید
+authen.login_descibe_line_2=[برای دسترسی به این صفحه شماباید متعلق به گروه "Administrator"  باشید ]
+authen.login_descibe_line_3=لطفا روز عبور و نام کاربری خود را وارد کنید
+authen.no_permission=شما مجاز به دسترسی به این نیستید
+authen.username=نام کاربری
+authen.username_describe=کلمه ی عبور باید بین 2 و 30 حرف باشد و تنها شامل اعداد و حروف شود
+authen.password=رمز عبور
+authen.password_describe=رمز عبور باید بین 3 تا 8 حرف باشد و می تواند شامل هر کاراکتر اسکی نیز باشد
+authen.account_status=وضعیت حساب کاربری
+authen.enabled=فعال
+authen.disabled=غیر فعال
+authen.groups=گروه ها
+authen.groups_describe=اجزا در لیست گروه ها توسط کاما جدا میشوند
+authen.comment=توضیح
+authen.add_a_new_user_title=افزودن یک کاربر جدید
+authen.change_password_title=تغییر رمز عبور
+authen.change_password_login_describe_line_1=برای مشاهده ی صفحه ی در خواستی باید وارد سیستم شوید
+authen.change_password_login_describe_line_2=لطفا نام کاربری . رمز عبور خود را وارد کنید
+authen.change_password_describe_line_1=کلمه ی عبور باید بین 2 و 30 حرف باشد و تنها شامل اعداد و حروف شود
+authen.old_password=رمز عبور قدیمی 
+authen.new_password=رمز عبور جدید
+authen.retype_new_password=ورود مجدد رمز عبور جدید
+authen.change_password_successed_title=تغییر رمز عبور
+authen.change_password_successed_content=رمز عبور شما با موفقیت تغییر یافت
+authen.old_password_warning=رمز عبور قدیمی نا معنبر 
+authen.new_retype_password_warning=رمز عبور جدید خود برای دو بار وارد کنید 
+authen.two_password_not_match=دو نمونه پسورد با هم مطابقت ندارن
+authen.password_empty_warning=کادر های رمز عبور نمی تواتنند خالی باشند
+authen.password_initial=لطفا یک رمز عبور اولیه برای این کاربر وارد کنید
+authen.new_password_invalid=رمز عبور جدید نامعتبر است 
+authen.retyped_password_invalid=رمز عبور جدید نا معتبر است
+authen.username_password_empty_warning=کادر های نام کاربری و رمزعبور نمی توانند خالی باشند
+authen.edit_user_information=ویرایش اطلاعات کاربر
+authen.do_you_really_want_to_permanently_remove_user=آیا مطمئن هستید که می خواهید کاربر را به کلی حذف کنید
+authen.user_has_existed=این نام کاربری در سیستم موجود می باشد
+authen.unsername_err=نام کاربری نامعتبر
+authen.password_err=رمز عبور نامعتبر
+authen.wrong_password_warning=رمز عبور یا نام کاربری نا معتبر
+authen.list_of_current_users_title=لیست کاربران فعلی
+authen.delete_warning=Do you really want to permanently remove user "
+authen.edit=ویرایش
+authen.delete=حذف
+authen.sign_in=ورود
+authen.account_status_false=حساب کاربری غیرفعال شده است
+authen.authentication=تشخیص هویت
+authen.greenstone_home=خانه
+authen.list_users=کاربران لیست
+authen.add_a_new_user=افزودن کاربر
+authen.change_password=تغییر رمزعبور
+authen.logout=خروج
+authen.login=ورود
+authen.login_successfully=مرود موفقیت آمیز