Index: /release-kits/shared/core/ant-scripts/init.xml
===================================================================
--- /release-kits/shared/core/ant-scripts/init.xml	(revision 20599)
+++ /release-kits/shared/core/ant-scripts/init.xml	(revision 20600)
@@ -2,120 +2,119 @@
 <project name="rk-init">
 
-	<!-- load in static properties from build.properties -->
-	<property file="${rk.name}-build.properties" />
-
-	<!-- CONSTANTS (overridable in build.properties) -->
-
-	<!-- svn root -->
-	<property name="svn.root" value="http://svn.greenstone.org" />
-
-	<!-- default revision and branch path -->
-	<property name="branch.path" value="trunk" />
-	<property name="branch.revision" value="HEAD" />
+	<!-- CHECK PRE-CONDITIONS  -->
+	<target name="init">
+
+		<!-- load in static properties from build.properties -->
+		<property file="${rk.name}-build.properties" />
+
+		<!-- CONSTANTS (overridable in build.properties) -->
+
+		<!-- svn root -->
+		<property name="svn.root" value="http://svn.greenstone.org" />
+
+		<!-- default revision and branch path -->
+		<property name="branch.path" value="trunk" />
+		<property name="branch.revision" value="HEAD" />
 	
-	<!-- the minimum version of java which the installer should be run with (this gets used in search4j) -->
-	<property name="java.min.version" value="1.4.0_00"/>
-
-	<!-- create a localised basedir property -->
-	<path id="basedir.path"><pathelement location="${basedir}"/></path>
-	<property name="basedir.local" refid="basedir.path"/>
-
-	<!-- current date and time -->
-	<tstamp>
-		<format property="current.month" pattern="MMM"/>
-		<format property="current.year" pattern="yyyy"/>
-		<format property="date" pattern="yyyy.MM.dd"/>
-	</tstamp>
-
-	<!-- BUNDLED JAVA INFO -->
-	<!-- the bundled javas are kept in shared/linux/wrapper and shared/windows/wrapper in the repository -->
-	<!-- change this info when the bundled version changes -->
-	<!-- linux -->
-	<property name="linux-java.installer" value="jre_bin"/>
-	<property name="bundled.version.linux-java" value="1.6.0_05"/> <!-- set this to the version number of java in the above archive -->
-	<property name="linux-java.extracted" value="jre"/> <!-- set this to the name of the top level directory in the above archive -->
-	<property name="component.bytesize.linux-java" value="101245987"/> <!-- set this to the size of the extract archive -->
-
-	<!-- windows -->
-	<property name="windows-java.installer" value="jre.exe"/>
-	<property name="bundled.version.windows-java" value="1.6.0_07"/> <!-- set this to the version number of java in the above archive -->
-	<property name="windows-java.extracted" value="jre"/> <!-- set this to the name of the top level directory in the above archive -->
-	<property name="component.bytesize.windows-java" value="75000000"/> <!-- set this to the size of the extract archive -->
-
-	<!-- version numbers of other bundled things -->
-	<property name="bundled.version.imagemagick" value="6.4.3"/>
-	<property name="bundled.version.ghostscript" value="8.63"/>
-	<property name="bundled.version.tomcat" value="6.0.20"/>
+		<!-- the minimum version of java which the installer should be run with (this gets used in search4j) -->
+		<property name="java.min.version" value="1.4.0_00"/>
+
+		<!-- create a localised basedir property -->
+		<path id="basedir.path"><pathelement location="${basedir}"/></path>
+		<property name="basedir.local" refid="basedir.path"/>
+
+		<!-- current date and time -->
+		<tstamp>
+			<format property="current.month" pattern="MMM"/>
+			<format property="current.year" pattern="yyyy"/>
+			<format property="date" pattern="yyyy.MM.dd"/>
+		</tstamp>
+
+		<!-- BUNDLED JAVA INFO -->
+		<!-- the bundled javas are kept in shared/linux/wrapper and shared/windows/wrapper in the repository -->
+		<!-- change this info when the bundled version changes -->
+		<!-- linux -->
+		<property name="linux-java.installer" value="jre_bin"/>
+		<property name="bundled.version.linux-java" value="1.6.0_05"/> <!-- set this to the version number of java in the above archive -->
+		<property name="linux-java.extracted" value="jre"/> <!-- set this to the name of the top level directory in the above archive -->
+		<property name="component.bytesize.linux-java" value="101245987"/> <!-- set this to the size of the extract archive -->
+
+		<!-- windows -->
+		<property name="windows-java.installer" value="jre.exe"/>
+		<property name="bundled.version.windows-java" value="1.6.0_07"/> <!-- set this to the version number of java in the above archive -->
+		<property name="windows-java.extracted" value="jre"/> <!-- set this to the name of the top level directory in the above archive -->
+		<property name="component.bytesize.windows-java" value="75000000"/> <!-- set this to the size of the extract archive -->
+
+		<!-- version numbers of other bundled things -->
+		<property name="bundled.version.imagemagick" value="6.4.3"/>
+		<property name="bundled.version.ghostscript" value="8.63"/>
+		<property name="bundled.version.tomcat" value="6.0.20"/>
 	
-	<!-- CLASSPATH -->
-	<path id="project.classpath">
-
-		<!-- our classes -->
-		<fileset dir="${rk.home}/core">
-			<include name="ant-tasks/antelope/AntelopeTasks_3.4.2.jar"/>
-			<include name="ant-tasks/orangevolt/roxes-win32forjava-1.1.1.jar"/>
-			<include name="ant-tasks/orangevolt/orangevolt-ant-tasks-1.3.8.jar"/>
-			<include name="ant-tasks/svnant/lib/ganymed.jar"/>
-			<include name="ant-tasks/svnant/lib/svnClientAdapter.jar"/>
-			<include name="ant-tasks/svnant/lib/svnant.jar"/>
-			<include name="ant-tasks/svnant/lib/svnjavahl.jar"/>
-			<include name="ant-tasks/svnant/lib/svnkit.jar"/>
-			<include name="ant-tasks/greenstone/anttasks.jar"/>
-			<include name="ant-tasks/7z-ant/7z.jar"/>
-			<include name="lib/crypt.jar"/>
-			<include name="lib/serializer.jar"/>
-			<include name="lib/xalan.jar"/>
-			<include name="lib/xercesImpl.jar"/>
-			<include name="lib/xml-apis.jar"/>
-			<include name="ant-installer/lib/ant-installer-ext.jar"/>
-			<include name="ant-installer/lib/ant-installer.jar"/>
-		</fileset>
-
-	</path>
-
-	<!-- SELF DEFINED TASKS AND TYPES -->
-	<taskdef name="if" classname="ise.antelope.tasks.IfTask" classpathref="project.classpath"/>
-	<taskdef name="try" classname="ise.antelope.tasks.TryTask" classpathref="project.classpath"/>
-	<taskdef name="math" classname="ise.antelope.tasks.MathTask" classpathref="project.classpath"/>
-	<taskdef name="svn" classname="org.tigris.subversion.svnant.SvnTask" classpathref="project.classpath"/>
-	<taskdef name="sevenzip" classname="org.apache.tools.ant.SevenZip" classpathref="project.classpath"/>
-	<taskdef name="installer" classname="org.tp23.antinstaller.taskdefs.Installer" classpathref="project.classpath"/>
-	<typedef name="rsr" classname="org.greenstone.anttasks.RegexSearchReplace" classpathref="project.classpath"/>
-	<typedef name="dcff" classname="org.greenstone.anttasks.DeleteChunkFromFile" classpathref="project.classpath"/>
-	<typedef name="rsplit" classname="org.greenstone.anttasks.SplitResource" classpathref="project.classpath"/>
-	<typedef name="get-property-value" classname="org.greenstone.anttasks.GetPropertyValue" classpathref="project.classpath"/>
+		<!-- CLASSPATH -->
+		<path id="project.classpath">
+
+			<!-- our classes -->
+			<fileset dir="${rk.home}/core">
+				<include name="ant-tasks/antelope/AntelopeTasks_3.4.2.jar"/>
+				<include name="ant-tasks/orangevolt/roxes-win32forjava-1.1.1.jar"/>
+				<include name="ant-tasks/orangevolt/orangevolt-ant-tasks-1.3.8.jar"/>
+				<include name="ant-tasks/svnant/lib/ganymed.jar"/>
+				<include name="ant-tasks/svnant/lib/svnClientAdapter.jar"/>
+				<include name="ant-tasks/svnant/lib/svnant.jar"/>
+				<include name="ant-tasks/svnant/lib/svnjavahl.jar"/>
+				<include name="ant-tasks/svnant/lib/svnkit.jar"/>
+				<include name="ant-tasks/greenstone/anttasks.jar"/>
+				<include name="ant-tasks/7z-ant/7z.jar"/>
+				<include name="lib/crypt.jar"/>
+				<include name="lib/serializer.jar"/>
+				<include name="lib/xalan.jar"/>
+				<include name="lib/xercesImpl.jar"/>
+				<include name="lib/xml-apis.jar"/>
+				<include name="ant-installer/lib/ant-installer-ext.jar"/>
+				<include name="ant-installer/lib/ant-installer.jar"/>
+			</fileset>
+
+		</path>
+
+		<!-- SELF DEFINED TASKS AND TYPES -->
+		<taskdef name="if" classname="ise.antelope.tasks.IfTask" classpathref="project.classpath"/>
+		<taskdef name="try" classname="ise.antelope.tasks.TryTask" classpathref="project.classpath"/>
+		<taskdef name="math" classname="ise.antelope.tasks.MathTask" classpathref="project.classpath"/>
+		<taskdef name="svn" classname="org.tigris.subversion.svnant.SvnTask" classpathref="project.classpath"/>
+		<taskdef name="sevenzip" classname="org.apache.tools.ant.SevenZip" classpathref="project.classpath"/>
+		<taskdef name="installer" classname="org.tp23.antinstaller.taskdefs.Installer" classpathref="project.classpath"/>
+		<typedef name="rsr" classname="org.greenstone.anttasks.RegexSearchReplace" classpathref="project.classpath"/>
+		<typedef name="dcff" classname="org.greenstone.anttasks.DeleteChunkFromFile" classpathref="project.classpath"/>
+		<typedef name="rsplit" classname="org.greenstone.anttasks.SplitResource" classpathref="project.classpath"/>
+		<typedef name="get-property-value" classname="org.greenstone.anttasks.GetPropertyValue" classpathref="project.classpath"/>
 	
-	<!-- DATES IN DIFFERENT LANGUAGES -->
-	<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="ar.Dates.${current.month}" outputProperty="month.ar"/>
-	<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="ca.Dates.${current.month}" outputProperty="month.ca"/>
-	<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="el.Dates.${current.month}" outputProperty="month.el"/>
-	<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="es.Dates.${current.month}" outputProperty="month.es"/>
-	<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="fr.Dates.${current.month}" outputProperty="month.fr"/>
-	<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="lv.Dates.${current.month}" outputProperty="month.lv"/>
-	<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="mr.Dates.${current.month}" outputProperty="month.mr"/>
-	<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="ro.Dates.${current.month}" outputProperty="month.ro"/>
-	<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="ru.Dates.${current.month}" outputProperty="month.ru"/>
-	<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="vi.Dates.${current.month}" outputProperty="month.vi"/>
-	<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="zh.Dates.${current.month}" outputProperty="month.zh"/>
-	<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="default.Dates.${current.month}" outputProperty="month.default"/>
-
-	<!--
-	<echo level="info">Current Date</echo>
-	<echo level="info">ar: ${month.ar} ${current.year}</echo>
-	<echo level="info">ca: ${month.el} ${current.year}</echo>
-	<echo level="info">el: ${month.el} ${current.year}</echo>
-	<echo level="info">es: ${month.es} ${current.year}</echo>
-	<echo level="info">fr: ${month.fr} ${current.year}</echo>
-	<echo level="info">lv: ${month.lv} ${current.year}</echo>
-	<echo level="info">mr: ${month.mr} ${current.year}</echo>
-	<echo level="info">ro: ${month.ro} ${current.year}</echo>
-	<echo level="info">ru: ${month.ru} ${current.year}</echo>
-	<echo level="info">vi: ${month.vi} ${current.year}</echo>
-	<echo level="info">zh: ${month.zh} ${current.year}</echo>
-	<echo level="info">default: (${month.default} ${current.year})</echo>
-	-->
-
-	<!-- CHECKS PRE-CONDITIONS  -->
-	<target name="init">
+		<!-- DATES IN DIFFERENT LANGUAGES -->
+		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="ar.Dates.${current.month}" outputProperty="month.ar"/>
+		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="ca.Dates.${current.month}" outputProperty="month.ca"/>
+		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="el.Dates.${current.month}" outputProperty="month.el"/>
+		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="es.Dates.${current.month}" outputProperty="month.es"/>
+		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="fr.Dates.${current.month}" outputProperty="month.fr"/>
+		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="lv.Dates.${current.month}" outputProperty="month.lv"/>
+		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="mr.Dates.${current.month}" outputProperty="month.mr"/>
+		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="ro.Dates.${current.month}" outputProperty="month.ro"/>
+		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="ru.Dates.${current.month}" outputProperty="month.ru"/>
+		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="vi.Dates.${current.month}" outputProperty="month.vi"/>
+		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="zh.Dates.${current.month}" outputProperty="month.zh"/>
+		<get-property-value propertiesFile="${rk.home}/core/lib/dates.properties" propertyName="default.Dates.${current.month}" outputProperty="month.default"/>
+		<!--
+		<echo level="info">Current Date</echo>
+		<echo level="info">ar: ${month.ar} ${current.year}</echo>
+		<echo level="info">ca: ${month.el} ${current.year}</echo>
+		<echo level="info">el: ${month.el} ${current.year}</echo>
+		<echo level="info">es: ${month.es} ${current.year}</echo>
+		<echo level="info">fr: ${month.fr} ${current.year}</echo>
+		<echo level="info">lv: ${month.lv} ${current.year}</echo>
+		<echo level="info">mr: ${month.mr} ${current.year}</echo>
+		<echo level="info">ro: ${month.ro} ${current.year}</echo>
+		<echo level="info">ru: ${month.ru} ${current.year}</echo>
+		<echo level="info">vi: ${month.vi} ${current.year}</echo>
+		<echo level="info">zh: ${month.zh} ${current.year}</echo>
+		<echo level="info">default: (${month.default} ${current.year})</echo>
+		-->
 
 		<!-- version number -->